Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.smooks
Class FragmentRouter

    java.lang.Object
      org.jboss.soa.esb.smooks.FragmentRouter

All Implemented Interfaces:
  org.milyn.delivery.ContentHandler, org.milyn.delivery.dom.DOMElementVisitor, org.milyn.delivery.dom.DOMVisitAfter, org.milyn.delivery.dom.DOMVisitBefore, org.milyn.delivery.dom.DOMVisitor, org.milyn.delivery.sax.SAXVisitAfter, org.milyn.delivery.sax.SAXVisitBefore, org.milyn.delivery.sax.SAXVisitor, org.milyn.delivery.Visitor

    @VisitBeforeIf(condition="parameters.containsKey(\'routeBefore\') && parameters.routeBefore.value == \'true\'")
    @VisitAfterIf(condition="!parameters.containsKey(\'routeBefore\') || parameters.routeBefore.value != \'true\'")
    public class FragmentRouter

extends java.lang.Object
implements org.milyn.delivery.dom.DOMElementVisitor, org.milyn.delivery.sax.SAXVisitBefore, org.milyn.delivery.sax.SAXVisitAfter

ESB Message Fragment Router.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`FragmentRouter()`

Method Summary
`void` | `intitialize()`
`void` | `visitAfter(org.w3c.dom.Element element, org.milyn.container.ExecutionContext executionContext)`
`void` | `visitAfter(org.milyn.delivery.sax.SAXElement element, org.milyn.container.ExecutionContext executionContext)`
`void` | `visitBefore(org.w3c.dom.Element element, org.milyn.container.ExecutionContext executionContext)`
`void` | `visitBefore(org.milyn.delivery.sax.SAXElement element, org.milyn.container.ExecutionContext executionContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FragmentRouter

    public FragmentRouter()

Method Detail

### intitialize

    @Initialize
    public void intitialize()
                     throws MessageDeliverException

  Throws:
    `MessageDeliverException`

### visitBefore

    public void visitBefore(org.milyn.delivery.sax.SAXElement element,
                            org.milyn.container.ExecutionContext executionContext)
                     throws org.milyn.SmooksException,
                            java.io.IOException

  Specified by:
    `visitBefore` in interface `org.milyn.delivery.sax.SAXVisitBefore`
  Throws:
    `org.milyn.SmooksException`
    `java.io.IOException`

### visitAfter

    public void visitAfter(org.milyn.delivery.sax.SAXElement element,
                           org.milyn.container.ExecutionContext executionContext)
                    throws org.milyn.SmooksException,
                           java.io.IOException

  Specified by:
    `visitAfter` in interface `org.milyn.delivery.sax.SAXVisitAfter`
  Throws:
    `org.milyn.SmooksException`
    `java.io.IOException`

### visitBefore

    public void visitBefore(org.w3c.dom.Element element,
                            org.milyn.container.ExecutionContext executionContext)
                     throws org.milyn.SmooksException

  Specified by:
    `visitBefore` in interface `org.milyn.delivery.dom.DOMVisitBefore`
  Throws:
    `org.milyn.SmooksException`

### visitAfter

    public void visitAfter(org.w3c.dom.Element element,
                           org.milyn.container.ExecutionContext executionContext)
                    throws org.milyn.SmooksException

  Specified by:
    `visitAfter` in interface `org.milyn.delivery.dom.DOMVisitAfter`
  Throws:
    `org.milyn.SmooksException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD